EtherscanClientOptions
Defined in: history-evm/src/etherscan.ts:11
Properties
Section titled “Properties”apiKey?
Section titled “apiKey?”
optionalapiKey?:string
Defined in: history-evm/src/etherscan.ts:19
backend
Section titled “backend”backend:
HistoryBackend
Defined in: history-evm/src/etherscan.ts:12
baseUrl
Section titled “baseUrl”baseUrl:
string
Defined in: history-evm/src/etherscan.ts:14
https://api.etherscan.io/v2/api or a Routescan-style mirror.
bucket
Section titled “bucket”bucket:
TokenBucket
Defined in: history-evm/src/etherscan.ts:21
chainId?
Section titled “chainId?”
optionalchainId?:number
Defined in: history-evm/src/etherscan.ts:16
Added as chainid= (Etherscan v2) or chain_id= (Blockscout PRO), see chainParam.
chainParam?
Section titled “chainParam?”
optionalchainParam?:"chainid"|"chain_id"
Defined in: history-evm/src/etherscan.ts:18
Query parameter name for the chain id. Default chainid.
fetch:
FetchLike
Defined in: history-evm/src/etherscan.ts:20
timeoutMs
Section titled “timeoutMs”timeoutMs:
number
Defined in: history-evm/src/etherscan.ts:22